<template>
  <div class="row justify-content-center img-bg">
    <div class="absolute row">
      <div class="col-2"></div>
      <div class="col-8 row main-contain auth-custom-contain">
        <div
          class="col-7 left-contain-on-border bg-white text-center overflow-main-contain scrollbar"
        >
          <div class="space-2" />
          <h4 class="t-color-soft-gray">CHANGE YOUR PASSWORD</h4>
          <h1 class="t-color-red">Project Management</h1>
          <p class="t-color-soft-gray">Join us to manage your team project</p>
          <div class="space-2" />
          <div class="row">
            <div class="col-2" />
            <div class="col-8">
              <form>
                <div class="group">
                  <input type="password" v-model="password" required="required" />
                  <span class="highlight"></span>
                  <span class="bar"></span>
                  <label>Password</label>
                  <div class="row absolute">
                    <h6 v-if="password === ''" class="t-validate-div t-color-red col-12 right">
                      <i class="fa fa-exclamation-circle" /> Password is required
                    </h6>
                    <h6
                      v-if="(password.length > 0) && (password.length < 6)"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" />Password must have at least 6 characters
                    </h6>
                    <h6
                      v-if="(password.length > 5)"
                      class="t-validate-div t-color-green col-12 right"
                    >
                      <i class="fa fa-check-circle" /> Correct
                    </h6>
                  </div>
                </div>
                <div class="group">
                  <input type="password" v-model="conpassword" required="required" />
                  <span class="highlight"></span>
                  <span class="bar"></span>
                  <label>Confirm Password</label>
                  <div class="row absolute">
                    <h6
                      v-if="(password !== '') && (conpassword.length < 1)"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-exclamation-circle" /> Confirm password is required
                    </h6>
                    <h6
                      v-if="(conpassword.length > 0) && (conpassword.length < 6)"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" />Confirm password must have at least 6 characters
                    </h6>
                    <h6
                      v-if="(password !== conpassword) && (conpassword.length > 0)"
                      class="t-validate-div t-color-red col-12 right"
                    >
                      <i class="fa fa-times-circle" />Your password incorrect to matching
                    </h6>
                    <h6
                      v-if="(password === conpassword) && (conpassword !== '') && (conpassword.length > 5)"
                      class="t-validate-div t-color-green col-12 right"
                    >
                      <i class="fa fa-check-circle" /> Correct
                    </h6>
                  </div>
                </div>
                <button type="submit" class="btn" v-on:click="signup">CHANGE NOW</button>
              </form>
              <div class="space-2" />
            </div>
            <div class="col-2" />
          </div>
        </div>
        <div class="col-5 right-contain-on-border img-auth-bg"></div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted () {
    console.log('Component mounted.')
  },
  data () {
    return {
      password: '',
      conpassword: ''
    }
  },
  methods: {
    signup: function (e) {
      e.preventDefault()
      this.axios
        .put(
          'http://127.0.0.1:8000/api/resetPassFromEmail/' +
            this.$route.params.token,
          {
            password: this.password,
            passwordConfirmation: this.conpassword
          }
        )
        .then(response => {
          console.log(response)
          this.$router.push('/signin')
        })
        .catch(error => {
          console.log(error)
          console.log('somthing wrong')
        })
    }
  }
}
</script>
